{% extends 'cashbook/base.html' %}
{% load i18n static django_htmx crispy_forms_tags %}

{% block title %}{% translate 'Account activities' %}{% endblock %}
{% block page-title %}{% translate 'Account activities' %}{% endblock %}

{% block content %}

    <div class="card">
        <div class="card-header">
            <div hx-get="{% url 'cashbook:entry:add' %}"
                 hx-trigger="load"
            ></div>
        </div>

        <div class="table-responsive"
             id="cashbook_overview"
             hx-trigger="cashbookentry:created from:body"
             hx-target="#cashbook_overview"
             hx-select="#cashbook_overview"
             hx-get="{% url 'cashbook:entry:index' %}"
        >
            <table class="table table-striped table-sm">
                <thead>
                <tr>
                    <th>{% translate 'Date' %}</th>
                    <th>{% translate 'E/A' %}</th>
                    <th>{% translate 'VAT' %}</th>
                    <th>{% translate 'Comment' %}</th>
                    <th>{% translate 'Balance' %}</th>
                </tr>
                </thead>
                <tbody>
                {% for entry in entry_list %}
                    <tr title="{% translate 'Saved by:' %} {{ entry.user }}">
                        <td>{% ifchanged entry.created|date %}
                            {{ entry.created |date }}{% endifchanged %}</td>
                        <td {% if entry.amount.amount < 0 %}class="text-danger"{% endif %}>{{ entry.amount }}</td>
                        <td>{{ entry.vat_rate }}</td>
                        <td>{{ entry.comment|default:"" }}</td>
                        <td>{{ entry.balance }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>


{% endblock %}